# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-21 22:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import whoisdb.validators


class Migration(migrations.Migration):

    dependencies = [
        ('whoisdb', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ASBlock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('handle', models.SlugField(max_length=32, unique=True, validators=[whoisdb.validators.HandleValidator()])),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('description', models.CharField(blank=True, max_length=64)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ASNumber',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('handle', models.SlugField(max_length=32, unique=True, validators=[whoisdb.validators.HandleValidator()])),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('number', models.PositiveIntegerField(db_index=True, unique=True)),
                ('volatile', models.BooleanField(default=False)),
                ('description', models.CharField(blank=True, max_length=64)),
                ('asblock', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='whoisdb.ASBlock')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('handle', models.SlugField(max_length=32, unique=True, validators=[whoisdb.validators.HandleValidator()])),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('name', models.CharField(max_length=128)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InetNum',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('handle', models.SlugField(max_length=32, unique=True, validators=[whoisdb.validators.HandleValidator()])),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now_add=True)),
                ('protocol', models.CharField(choices=[('ipv4', 'ipv4'), ('ipv6', 'ipv6')], max_length=4)),
                ('netmask', models.PositiveIntegerField()),
                ('description', models.CharField(blank=True, max_length=64)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='maintainer',
            name='created',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='maintainer',
            name='handle',
            field=models.SlugField(default=None, max_length=32, unique=True, validators=[whoisdb.validators.HandleValidator()]),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='maintainer',
            name='last_modified',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='inetnum',
            name='mnt_lower',
            field=models.ManyToManyField(to='whoisdb.Maintainer'),
        ),
        migrations.AddField(
            model_name='inetnum',
            name='parent_range',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='whoisdb.InetNum'),
        ),
        migrations.AddField(
            model_name='contact',
            name='mnt_by',
            field=models.ManyToManyField(to='whoisdb.Maintainer'),
        ),
        migrations.AddField(
            model_name='asnumber',
            name='mnt_by',
            field=models.ManyToManyField(to='whoisdb.Maintainer'),
        ),
        migrations.AddField(
            model_name='asnumber',
            name='mnt_lower',
            field=models.ManyToManyField(related_name='lower_asnumber_set', to='whoisdb.Maintainer'),
        ),
        migrations.AddField(
            model_name='asblock',
            name='mnt_by',
            field=models.ManyToManyField(to='whoisdb.Maintainer'),
        ),
        migrations.AddField(
            model_name='asblock',
            name='parent_block',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='whoisdb.ASBlock'),
        ),
        migrations.AddField(
            model_name='maintainer',
            name='admin_c',
            field=models.ManyToManyField(to='whoisdb.Contact'),
        ),
    ]
